Rename poky-init-build-env to oe-init-build-env

(From OE-Core rev: fa6176219b741eed346b21a3d923e9abc9b5442a)

Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
This commit is contained in:
Richard Purdie 2011-04-20 15:59:04 +01:00
parent 211ae3b4df
commit 46d0cc3dc8
5 changed files with 6 additions and 6 deletions

View File

@ -46,7 +46,7 @@ def check_pseudo_wrapper():
# Check if bitbake wrapper is being used
pseudo_build = os.environ.get( 'PSEUDO_BUILD' )
if not pseudo_build:
bb.warn("Bitbake has not been run using the bitbake wrapper (scripts/bitbake); this is likely because your PATH has been altered from that normally set up by the poky-init-build-env script. Not using the wrapper may result in failures during package installation, so it is highly recommended that you set your PATH back so that the wrapper script is being executed.")
bb.warn("Bitbake has not been run using the bitbake wrapper (scripts/bitbake); this is likely because your PATH has been altered from that normally set up by the oe-init-build-env script. Not using the wrapper may result in failures during package installation, so it is highly recommended that you set your PATH back so that the wrapper script is being executed.")
if (not pseudo_build) or pseudo_build == '2':
# pseudo ought to be working, let's see if it is...

View File

@ -25,8 +25,8 @@
# being sourced. To workaround the shell limitation use "set arg1" prior
# to sourcing this script.
#
if [ -z "$ZSH_NAME" ] && [ "x$0" = "x./poky-init-build-env" ]; then
echo "Error: This script needs to be sourced. Please run as '. ./poky-init-build-env'"
if [ -z "$ZSH_NAME" ] && [ "x$0" = "x./oe-init-build-env" ]; then
echo "Error: This script needs to be sourced. Please run as '. ./oe-init-build-env'"
else
if [ -n "$BASH_SOURCE" ]; then
OEROOT="`dirname $BASH_SOURCE`"
@ -35,7 +35,7 @@ else
fi
OEROOT=`readlink -f "$OEROOT"`
export OEROOT
. $OEROOT/scripts/poky-env-internal
. $OEROOT/scripts/oe-buildenv-internal
$OEROOT/scripts/poky-setup-builddir
unset OEROOT
unset BBPATH

View File

@ -31,7 +31,7 @@ if ! (test -d "$BUILDDIR"); then
fi
if ! (test -w "$BUILDDIR"); then
echo >&2 "Error: Cannot write to $BUILDDIR, perhaps try sourcing with a writable path? i.e. . poky-init-build-env ~/my-build"
echo >&2 "Error: Cannot write to $BUILDDIR, perhaps try sourcing with a writable path? i.e. . oe-init-build-env ~/my-build"
exit 1
fi

View File

@ -34,7 +34,7 @@ setup_tmpdir() {
type -P bitbake &>/dev/null || {
echo "In order for this script to dynamically infer paths";
echo "to kernels or filesystem images, you either need";
echo "bitbake in your PATH or to source poky-init-build-env";
echo "bitbake in your PATH or to source oe-init-build-env";
echo "before running this script" >&2;
exit 1; }